Subject: Register with the Linux counter project

From: root
Date: Thu, 15 Sep 1994 02:23:39 -0500

HELP FOR THE LINUX USAGE COUNTER
================================
This message is intended for you to edit, and send right back to the
[email-masked] address.
DO NOT USE "REPLY"!!!!!!!!!!!!!!!

(Practice has shown that putting the counter in the Reply-To: or From:
fields of a message is a GREAT way of causing mail loops, and defending
against them is a *lot* of effort. Therefore, this counter does not do it)

There are two ways of registering: Simple and complex.
For the SIMPLE method, simply send a message with the subject line being
one of:

   I use Linux at home
   I use Linux at work
   I use Linux at school
   I do not use Linux

You can also do combinations, like "I use Linux at home and at work".
The counter will attempt to guess your country of origin, and count you
accordingly. Information about you will not be made public.

Complex registration
--------------------
The complex features of the counter are accessed by using commands.
A command looks like (for instance) //MACHINE, and starts in the left
column.

You can register MACHINES, FRIENDS and data about YOURSELF (PERSON).
Below is listed an example of each of the sections, with comments that
aid you in filling them out correctly.

Only use the FRIENDS section if it is unlikely that the people will
register themselves!

When the templates are accepted by the daemon, they will be added to the
database. Data will be added even if it is not parsed properly.
They may be thrown out in later duplicate elimination, or you may receive
a query from me regarding the validity of the data, but otherwise, they will
be counted.

You can get a report from the counter by specifying the command

  //REPORT <reportname>

The following reports are available:

  short    - The standard listing of Linux usage, including per-country data
  machines - Statistics on registered Linux machines
  persons  - Persons who use Linux, sorted by country, and some statistics

All these reports are also available by anonymous FTP to aun.uninett.no,
directory pub/misc/linux-counter.

The counter also understands //HELP.
When you use a command, the subject line of the message is *not* recorded
in the counter.

Good luck!

             Harald Tveit Alvestrand

//FRIEND
# Your Linux-using friends, in the pattern
# E-mail address: place of usage
# For people without E-mail address, use
# ?[email-masked]
# like ?[email-masked] or ?[email-masked]

//MACHINE
# Fill in one such section per machine that runs Linux
accounts:
# Number of accounts in /etc/passwd, not counting root and so on
country:
# ISO 3166 two-letter country code
cpu:
# The pattern is MakerNumberBus/Speed, for example
# Cx386, amd486, 386DX/33, 586SX/16
disk:
# Number of MBytes of disk installed - number only
distribution:
# Slackware, SLS, LGX, TAMU, MCC, Debian,
OTHER or DIY (do-it-yourself) with optional version number
memory:
# Number of MBytes of memory installed - number only
name:
# DNS or UUCP name of machine if it has one
# If no unique network name is available, use ?[email-masked]
network:
# Type of network - SLIP, Ethernet, Term, PPP, AX.25 or none
source:
# Where you fetch Linux. FTP, BBS, Floppy/Friend, Floppy/<Company>,
# CD/Yggdrasil, CD/Morse, CD/Snow, Tape/Friend, Tape/<company>,
# NFS, AFS, HD/friend...
users:
# Number of persons who use this machine regularly

//PERSON
# This is about yourself, the sender of this message
country:
# ISO 3166 two-letter country code of where you live
email:
# Your E-mail address
may-publish:
# YES if you agree that information about you can be published
# If not given, nothing but statistical information will be published
name:
# Your name
started:
# Month and year you started using Linux, like "nov 93"
usage:
# The place where you use Linux. Home, school, work or combinations of these

//END
The END command is only required if you have a mailer that adds stuff
below the last line of the message.